Subject: bug#49043: 27.1: ibuffer-toggle-filter-group [BUGFIX]

From: Boruch Baum <[email-masked]>
Date: Tue, 15 Jun 2021 16:13:00 -0400

On 2021-06-15 19:20, Eli Zaretskii wrote:
> By "crash" do you mean it signals an error?  Or a real crash with a
> core dump?

Sorry. It produced a backtrace, though I'm pretty sure I didn't have
toggle-debug-on-error set, so it was a surprise to get that. The
backtrace pointed to a call of function delete-region with a bounds
check problem. I saw that the upper-bound exceeded point-max, put in the
check, and voila.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0